



    <section class="vh-100 gradient-custom bg-white" id="section-id">
        <div class="container py-5 h-100">
            <div class="row d-flex justify-content-center align-items-center h-100">
                <div class="col-12 col-md-8 col-lg-6 col-xl-5">
                    <div class="card bg-info text-white" style="border-radius: 2rem">
                        <div class="card-body p-5 text-center">
                            <div class="mb-md-5 mt-md-4 pb-5">
                                <h2 class="fw-bold mb-2 text-uppercase" id="label-login">
                                    Personal Banking
                                </h2>
                                <p class="text-white-70 mb-5" id="label-enter-credentials">
                                    My Accounts
                                </p>

                                <div class="form-outline form-white mb-4">
                                  <form  #loginForm="ngForm" ngNativeValidate (ngSubmit)="onLogin()">
                                    <input required type="text" id="uname" name="uname" pattern="[0-9A-Za-z\s.-]+" class="form-control form-control-lg" [(ngModel)]="loginDetails.uname" />
                                    <label class="form-label" for="uname" id="label-uname">Username</label>


                  <div  class="form-outline form-white mb-4">
                    <input required type="password" id="password" name="pass" class="form-control form-control-lg" [(ngModel)]="loginDetails.pass">
                    <label class="form-label" for="pass" id="label-id"
                      >Password</label>
                  </div>

                  <input id="submit-button" class="btn btn-outline-light btn-lg px-5" type="submit" value="Login">
                  </form>
                  <h1 *ngIf="loggedIn=='true'">Authentication Successful </h1>
                  </div>

                </div>
              </div>
            </div>
          </div>
        </div>
      </div>


